/*============= 上方商品資訊 ================*/
.title--product{
	font-size:32px;
	font-weight:500;
	line-height:40px;
	display: inline-block;
}
@media(max-width:767px){
	.title--product{
		gap:8px
	}
}

/*JW 2026/01/05 V14 商品頁：影片 thumbnail 代表圖可能不是正方形，會把縮圖列撐高；用固定比例 + object-fit 讓它跟其他縮圖同高、平起平坐*/
#gallery-zoom .jw-video-thumb-img,
.product-image--thumb .jw-video-thumb-img{
	width: 100%;
	aspect-ratio: 1 / 1;
	object-fit: cover;
	display: block;
}

/*JW 2026/01/05 V14 手機版商品圖 slider：影片 slide 的代表圖可能是直式，會撐滿整個螢幕；用固定比例 + object-fit:cover 讓它跟一般商品圖一樣被框在正方形內*/
#div_mobile_product_detail_img .hero-slider[data-is-video="true"]{
	aspect-ratio: 1 / 1;
	overflow: hidden;
	display: flex;
	align-items: center;
	justify-content: center;
}
#div_mobile_product_detail_img .hero-slider[data-is-video="true"] .jw-video-popup-btn{
	width: 100%;
	height: 100%;
	display: flex;
	align-items: center;
	justify-content: center;
}
#div_mobile_product_detail_img .hero-slider[data-is-video="true"] .jw-video-popup-btn > img.img-responsive{
	width: 100%;
	height: 100%;
	object-fit: cover;
}
@media(max-width:991px){
.title--product{
	font-size:24px;
	line-height:30px;
}
}
.btns-block .btn.btn--small{
    display: inline-block;
    outline: none;
    cursor: pointer;
    word-break: keep-all;
    color: #ffffff;
    border: 0;
    background: linear-gradient(to bottom, #ff769d 0%, #ff3c74 100%);
    line-height: 0;
    padding: 8px 104px;
    height: 56px!important;
    font-size: 20px;
    font-weight:600!important;
}
@media(max-width:991px){
.btns-block .btn.btn--small{
	padding: 8px 56px;
    height: 40px!important;
    font-size: 17px;
}
}
@media(max-width:991px){
.product-quantity-box{
	flex-direction:column;
}
}
/*============= 商品數量樣式 ================*/
.quantity{
	position:relative;
	display: flex;
    align-items: center;
    height: auto !important;
}
.quantity input{
    width: 146px;
    height: 56px;
    display: flex;
    align-items:center;
    padding:0;
    background:#F5F5F5;
    border-radius:100px;
    border:0;
    text-align:center;
    font-size:20px;
    font-weight:500;
}
@media(max-width:1199px){
	.quantity input{
		height:48px;
	}
}
@media(max-width:991px){
.quantity input{
	width:126px;
}
}

/* Firefox 刪除原先樣式 */
.quantity input[type="number"] {
    -moz-appearance: textfield !important;
    appearance: textfield !important;
}

.quantity-nav{
	position:absolute;
	left:0;
	width:100%;
	height:48px;
}
@media(max-width:1199px){
.quantity-nav{
	height:40px;
	width:126px;
}
}
.quantity-button.quantity-up,
.quantity-button.quantity-down{
	width:48px;
	height:48px;
	border-radius:100px;
	display:flex;
	align-items:center;
	justify-content:center;
	border:0;
	bottom:0;
}
@media(max-width:1199px){
.quantity-button.quantity-up,
.quantity-button.quantity-down{
	width:40px;
	height:40px;
}
}
.quantity-button.quantity-down{
	left:52px;
}
.quantity-button.quantity-up{
	right:-44px;
}
@media(max-width:1199px){
.quantity-button.quantity-down{
	left:45px;
}
.quantity-button.quantity-up{
	right:-55px;
}
}
@media(max-width:991px){
	.quantity-button.quantity-down{
		left:45px;
	}
	.quantity-button.quantity-up{
		right:-35px;
	}
}

/*============= 金額 ================*/
.product__price-del{
	font-size:24px!important;
}
.product__price-del b{
	text-decoration: line-through;
}
@media(max-width:991px){
	.product__price-del{
	font-size:16px!important;
}
}
.product__price .font_12{
	font-size:16px;
	text-decoration: line-through;
}
.modal__product-price {
	display: flex;
    align-items: baseline;
    white-space:nowrap;
	font-size:48px;
	line-height:0.8;
	color: var(--header_link_hover_color, #ff3c74);
}
.modal__product-price small.font_14{
	font-size:32px!important;
}
@media(max-width:1199px){
.modal__product-price{
	font-size:32px!important;
}
.modal__product-price small.font_14{
	font-size:24px!important;
}
}
.p-lr-0 .modal__product-price{
	padding-left:8px;
}
.info_area{
	background:transparent;
}
.info_area ul{
	padding:0;
}
#a_product_detail_add2cart{
	color:#FF3C74!important;
	box-shadow: inset 0 0 0 1px #FF3C74;
	background:transparent;
	font-weight:500!important;
}
#span_product_detail_jit_buy_2 button{
	color:#FF3C74!important;
    box-shadow: inset 0 0 0 1px #FF3C74;
    background:transparent;
    font-weight:500!important;
}
#btn_empty_spec_add2cart{
	color:#FF3C74!important;
    box-shadow: inset 0 0 0 1px #FF3C74;
    background:transparent;
    font-weight:500!important;
}
a[name=footer_cart_icon] .wishlist-item-count {
    bottom:21px;
}

.flex-nav:has(#span_product_detail_jit_buy_2.d-none) {
  grid-template-columns: 1fr 1fr 1.5fr;
}
.flex-nav:has(#span_product_detail_jit_buy_2.d-none) li:nth-child(4){
	display: none;
}

/** 分享 *****************************************/
.product-social{
    display:block;
}
.product-social span {
    color: #777;
    display: inline-block;
    font-size: 16px;
    font-weight: bold;
}
.product-social-link{
    padding:0px;
}
.product-social-link li:last-child {
    margin-right: 0;
}
.product-social-link a {
    color: #777;
    width: 40px;
    height: 40px;
    background: #E2E2E2;
    text-align: center;
    line-height: 37px;
    transition: all 0.3s ease;
    border-radius: 50%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.product-social-link a i {
    font-size: 22px;
    color:#3B3B3B;
}
/** 付款方式 *****************************************/
#area_display_installment_info{
    border: 1px solid #e2e2e2;
    padding: 10px;
}
.pdp-payment-title{
	font-size:16px;
    font-weight: 500;
    color:#FF3C74;
    border-bottom: 1px solid #E2e2e2;
    padding-bottom:8px;
    margin-bottom: 10px;
}
.pdp-payment-install-rule{
    display: flex;
    font-size: 16px;
    margin-bottom: 8px;
    flex-wrap: wrap;
    gap: 8px 32px;
    justify-content: normal;
}
/** 折扣 *****************************************/
#product_detail_promote span{
    display: flex;
    gap: 5px 10px;
    flex-wrap: wrap;
    font-size: 16px;
}
@media(max-width:767px){
	#product_detail_promote span{
		font-size:14px;
	}
}
#product_detail_promote span a{
    color: #0d6efd;
    font-size: 14px;
    text-decoration: underline;
    text-underline-offset: 3px;
}
/** 商說區域 *****************************************/
#ul_web_pinfo_tab{
    border: 1px solid transparent;
    border-radius: 30px;
    position: relative;
    background-clip: padding-box;
    width: fit-content;
    max-width: 100%;
    margin: 0 auto;
    box-sizing: border-box;
    background-color: rgb(250, 250, 250);
    box-shadow: rgba(0, 0, 0, 0.25) 0 0 4px inset;
    padding:4px;
}
#ul_web_pinfo_tab > .tab_area:has(a.active) {
    height: calc(100% - 8px);
    border-radius: 30px;
    background: linear-gradient(to bottom, #ff769d 0%, #ff3c74 100%);
}
#ul_web_pinfo_tab > li > a{
    padding:5px 56px;
    font-size:20px;
}
@media(max-width:1199px){
	#ul_web_pinfo_tab > li > a{
		padding:2px 32px;
	    font-size:16px;
	    letter-spacing:1.5px;
	}
}
@media(max-width:991px){
	#ul_web_pinfo_tab > li > a{
	    font-size:14px;
	    padding:1.5px 24px;
	}
}
@media(max-width:767px){
	#ul_web_pinfo_tab > li > a{
	    font-size:12px;
	    padding:2.5px 16px;
	}
}
@media(max-width:392px){
	#ul_web_pinfo_tab > li > a{
	    padding:2.5px 12px;
	}
}

#ul_web_pinfo_tab > li > a.active{
    color:#FFFFFF;
    font-weight:500;
}
/** 相關商品 *****************************************/
.pdp-sale-title{
    font-size: 40px;
    font-weight: bold;
    color: #ffffff;
    padding: 12px 28px 8px;
    width: fit-content;
    border-radius: 100px;
    border: 1px solid #ffffff;
    white-space: nowrap;
    line-height: 1;
    background-color: #182A91;
    margin: 0px;
}
.pdp-rlt{
    padding: 24px 24px 16px;
    display: flex;
    flex-direction: column;
    border-radius: 36px;
    background-color: #E5F7FF;
}
.pdp-rlt .pdp-sale-title{
	font-size:20px;
	padding: 12px 24px 8px;
}
@media(max-width:767px){
    .pdp-rlt .pdp-sale-title{
        font-size:18px;
    }
}

.pdp-sale-block .slick-list{
	margin-left:-8px;
	margin-right:-8px;
	display:grid;
	padding-top:10px!important;
	padding-bottom:0;
}
.pdp-sale-block .product__price{
	flex-wrap:wrap;
}
@media(max-width:1199px){
	.pdp-sale-block .product__box{
		   display:flex;
		   flex-direction:column;
	    }
}
@media(max-width:767px){
    .pdp-sale-block .slick-list{
        margin-left:8px;
        margin-right:8px;
    }
    .pdp-sale-block .slick-list .product__img-area.p-10{
	   padding:10px;
	}
}
.pdp-sale-block .slick-slide{
	padding:6px 0 20px;
}
/*解決相關商品的不等高排列*/
.pdp-sale-block .slick-slide > div{
   display: grid;
   grid-template-columns: repeat(3, 1fr);
}
.pdp-sale-block .slick-slide > div:nth-child(1){
	margin-bottom:16px;
}
.pdp-sale-block .slick-slide > div > div {
	width:100%!important;
}
.pdp-sale-block .p_promote_hint > div > div {
	display: unset!important;
}
[id^="div_init_product_promote_web_"] .p_promote_hint{
    top: -10px;
    left: -10px;
}
@media(max-width:1199px){
	.pdp-sale-block .slick-slide > div{
	   display: flex;
	   flex-direction:column;
	}
}
.pdp-sale-block .p_promote_hint:has(> div:empty) {
    display: none!important;
}
.pdp-sale-block .product-default-slider-8grid-2rows .slick-list{
	padding:0;
}
.pdp-sale-block .p_promote_hint{
    background:#4153BD;
}
.pdp-sale-block .card-i i{
    background:#4153BD;
}
.pdp-sale-block .v14_discount-info{
    color:#4153BD;
}
.pdp-sale-block .product__price{
    color:#4153BD;
}
.pdp-sale-block .text-badge{
    background:#4153BD;
}
.pdp-sale-block .brand_title{
    color:#4153BD;
}
@media (max-width: 767px) {
    .pdp-sale-title{
        font-size: 19px;
        padding: 8px 16px;
        margin-left:16px;
    }
    .pdp-rlt{
        border-radius: 0;
        padding: 24px 0 8px;
    }
}
#pdp_top_promote_hint.v14_discount-info {
	display:block;
}
/* PDP 固定 ***********************************************************************************************************/
#span_product_detail_icon.tag_area_r{
    width:66px;
    height:66px;
}
#span_mobile_product_detail_icon.tag_area_r{
    width:66px;
    height:66px;
}
@media (max-width: 1199px) {
    #span_product_detail_icon.tag_area_r{
        width:56px;
        height:56px;
    }
}
/* Badge 放大**********************************************************************************************************/
.p_promote_hint{
    width: 100px !important;
    height:100px !important;
    gap:10px;
    top:10px;
    left:10px;
    font-size:25px;
}
.p_promote_hint div {
    font-size:20px !important;
}
@media (max-width: 1288px) {
    .p_promote_hint {
        width: 92px !important;
        height:100px !important;
    }
}
@media (max-width: 1199px) {
    .p_promote_hint {
        width: 80px !important;
        height:88px !important;
    }
}
@media (max-width: 991px) {
    .p_promote_hint {
        width: 70px !important;
        height:78px !important;
    }
}
@media (max-width: 991px) {
    .p_promote_hint div {
        font-size:18px !important;
    }
}
@media (max-width: 768px) {
    .p_promote_hint{
        top:0px;
        left:0px;
        gap:15px;
        width: 92px !important;
        height:100px !important;
        font-size:25px;
    }
    .p_promote_hint div {
        font-size:20px !important;
    }
}
/*============= 商品單頁 ================*/
.payment-item,
.sales-item{
	color:#3B3B3B!important;
	font-size:20px;
}
@media(max-width:767px){
	.payment-item,
	.sales-item{
		font-size:18px;
	}
}
.product__desc{
	color:#777777;
	font-size:16px;
	display:flex;
	flex-direction:column;
	gap:14px;
}

code{
	display:flex;
	gap:4px;
	align-items:center;
	background:#fcf0f0;
	color:#FF3C74;
	font-size:16px;
	padding:4px 10px;
	border-radius:8px;
	width:fit-content;
	font-weight:500;
}
code i{
	font-size:22px;
}
.paymentlist span{
	font-size:16px;
}
.bg-zindex input[value=""],
.bg-zindex p:empty {
    display: none;
}
.price-gap{
	display:flex;
	flex-wrap:wrap;
	justify-content:space-between;
	align-items:end;
}
@media(max-width:767px){
	.price-gap{
	flex-wrap:wrap;
	gap:12px;
	}
	.price-gap .quantity{
	padding-bottom:6px;
	}	
}
.div_basic_area_bg .p_promote_hint{
	height:60px;
	padding:12px;
}
.div_basic_area_bg .p_promote_hint div{
	font-size:16px;
	line-height:17px;
}
/* Sticky效果 */
.left-sticky{
	position:sticky;
	top:239px;
}
@media(max-width:1199px){
	.left-sticky{
		top:155px;
	}
}
.pdp_shipping_method_select{
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 20px;
    letter-spacing: 1.2px;
}
.bdr-8{
    border-radius:8px;
}
/* AR | 3D *****************************************/
.pdp_smart_func_area{
    display: flex;
    gap: 10px;
    margin: 10px 0px;
}
.btn_pdp_ar_3d_area{
    display: flex;
    gap:10px;
    padding:0px 30px;
    align-items: baseline;
}

@media(max-width:767px){
    .btn_pdp_ar_3d_area{
        gap:10px;
        padding:0px;
    }
}
.btn_pdp_ar_area img{
    width: 55px;
    filter: drop-shadow(0 0 6px #536ddb);
}
.btn_pdp_3d_area img{
    width: 55px;
    filter: drop-shadow(0 0 6px #536ddb);
}
/*
.viewer {
    width: 300px;
    height: 300px;
}
*/
.btn_pdp_ar_area img{
    z-index:2;
}
.btn_pdp_3d_area img{
    z-index:2;
}
.modal-overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.6);
    z-index: 1000;
    justify-content: center;
    align-items: center;
}
.modal-overlay.active {
    display: flex;
}
.modal-content {
    background: #fff;
    border-radius: 12px;
    padding: 20px;
    width: 90%;
    max-width: 700px;
    max-height: 90vh;
    overflow: auto;
}
.modal-header {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 15px;
}
.modal-header h2 {
    margin: 0;
    font-size: 18px;
}
.modal-viewer-header{
    margin-bottom:20px;
}
.modal-close {
    border: none;
    font-size: 35px;
    cursor: pointer;
    padding: 0;
    line-height: 1;
    width: 50px;
    height: 50px;
    position: absolute;
    top: 0px;
    right: 0px;
}
.modal-viewer {
    width: 100%;
    height: 400px;
    border: 1px solid #eee;
    border-radius: 8px;
    overflow: hidden;
}

/* 效能標籤 */
.div_efficiency_tag_outer_area{
    display:flex;
    gap:16px;
    flex-wrap: wrap;
}
@media(max-width:767px){
	.div_efficiency_tag_outer_area{
	    gap:8px;
	}	
}
.div_efficiency_tag_area{
    border-radius:8px;
    border: 1px var(--header_link_hover_color, #ff3c74) solid;
    padding: 16px 24px;
    color: var(--header_link_hover_color, #ff3c74);
    text-align: center;
    max-width: 100%;
    box-sizing: border-box;
    flex: 0 1 auto;
}
@media(max-width:1199px){
	.div_efficiency_tag_area{
		padding:16px 24px;
	}
}
@media(max-width:767px){
	.div_efficiency_tag_area{
		padding:8px 16px;
	}
}
.div_efficiency_tag_area .title{
    font-weight: 400;
    font-size: 15px;
}
@media(max-width:1199px){
	.div_efficiency_tag_area .title{
		font-size: 13px;
	}
}
.div_efficiency_tag_area .info{
    font-weight: 700;
    font-size: 31px;
    line-height: 1.2;
}
@media(max-width:1199px){
	.div_efficiency_tag_area .info{
	    font-size: 24px;
	}
}

/* Footer NAV BAR */
.flex-nav{
    display: grid;
    grid-template-columns: 1fr 1fr 1.5fr 1.5fr;
}
.flex-nav li{
    display:block;
     width:100%!important;
}
.flex-nav li:nth-child(3){
     padding-top:6px;
}
.flex-nav li:nth-child(4){
     padding-left:8px;
     padding-top:6px;
}


.flex-nav li a{
    width:100%!important;
    height: 100% !important;
    font-size: 15px;
}
.flex-nav li button{
    width:100%!important;
    height: 39px!important;
    font-size: 15px;
}

.pdp_promote_text{
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 5px;
    align-items: center;
}
.pdp_promote_text .text-badge{
    color: #ffffff;
    font-weight: 500;
    align-items: center;
    padding: 0 4px;
    border-radius: 4px;
}
.v14_discount-info .info-badge-list {
    flex-direction: column;
}
#pdp_top_promote_hint.v14_discount-info,
#pdp_top_promote_hint .info-badge-list{
	min-height:0;
}
[id^="div_init_product_promote_"] .v14_discount-info .info-badge-list{
    display:flex;
}
.tab-content{
    text-align:center;
}
/* 行銷彈窗***********/
.popup_promote_area {
    text-align:center
}
.popup_promote_area code{
    display:unset;
}
.popup_promote_area .img_banner{
    border-radius:40px;
}
.popup_promote_area #div_init_product_gift {
    margin-top: 20px;
    padding: 24px;
    display: flex;
    flex-direction: column;
    border-radius: 36px;
    background-color: #E5F7FF;
}
.popup_promote_area #div_init_product_gift .pdp-gift-title {
    font-size: 20px;
    padding: 12px 24px 8px;
    font-weight: bold;
    color: #ffffff;
    width: fit-content;
    border-radius: 100px;
    border: 1px solid #ffffff;
    white-space: nowrap;
    line-height: 1;
    background-color: #182A91;
    margin: 0px;
}
.popup_promote_area #div_init_product_gift .pdp-gift-area {
    margin-top: 10px;
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 15px 0px;
}
.popup_promote_area #div_init_product_gift .product__box {
    padding: 6px;
    display: grid;
    grid-template-columns: minmax(0, 100px) 1fr;
    align-items: center;
    cursor: default;
}
.pdp-promote-gift-notice-title{
    border-left: 5px solid #ff5385;
    padding-left: 10px;
    text-align: left;
    margin-top: 10px;
    font-weight: bolder;
}
.popup_promote_area ol{
    text-align: left;
    text-decoration: blink;
    padding: 0px 20px;
}
.popup_promote_area li{
    list-style: decimal;
    font-size: 16px;
    line-height: 2;
    letter-spacing: 1px;
}
.popup_promote_area .button_area{
    display: grid;
    gap: 10px;
    grid-template-columns: 1fr 1fr;
}
@media(max-width:767px){
    .popup_promote_area #div_init_product_gift .pdp-gift-area {
        grid-template-columns: 1fr;
    }
}
#product-notice_info{
    text-align:left;
}
#product-warranty_info{
    text-align:left;
}
.product__price-reg{
	color:#ff3c74;
}

/* ===== 各種防爆 ===== */
@media (max-width: 767px) {
    .hero-slider__arrow {
        width: 30px;
        height: 30px;
        z-index: 9;
    }
}
/* ===== 所有媒體防爆 =============================================================================================== */
div[id^="div_outer_text_"] img,
div[id^="div_outer_text_"] iframe,
div[id^="div_outer_text_"] video,
div[id^="div_outer_text_"] instagram-media {
  max-width: 100% !important;
}
/* ===== 各種防爆 ===== */
table,
p{
	max-width:100%;
}
/* 防止客戶寫死尺寸 */
div[id^="div_outer_text_"] img[width],
div[id^="div_outer_text_"] img[height],
div[id^="div_outer_text_"] img[style] {
  width:fit-content !important;
  height: auto !important;
}